VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly Class Reference

`Ipv6.IPv6ConfigReadOnly` class Structure that defines an existing IPv6 configuration on a particular interface. More...

List of all members.

## Public Member Functions
| IPv6ConfigReadOnly ()
| Creates a default new instance.
string | GetInterfaceName ()
| Network interface, for example, "nic0" queried.
void | SetInterfaceName (string interfaceName)
| Network interface, for example, "nic0" queried.
bool | GetDhcp ()
| Address assigned by a DHCP server.
void | SetDhcp (bool dhcp)
| Address assigned by a DHCP server.
bool | GetAutoconf ()
| Address is assigned by Stateless Address Autoconfiguration (SLAAC).
void | SetAutoconf (bool autoconf)
| Address is assigned by Stateless Address Autoconfiguration (SLAAC).
global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressReadOnly > | GetAddresses ()
| A list of all addresses assigned to this interface.
void | SetAddresses (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressReadOnly > addresses)
| A list of all addresses assigned to this interface.
string | GetDefaultGateway ()
| Default gateway.
void | SetDefaultGateway (string defaultGateway)
| Default gateway.
bool | GetUpdateable ()
| This indicates if the network configuration can be updated for the interface.
void | SetUpdateable (bool updateable)
| This indicates if the network configuration can be updated for the interface.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Ipv6.IPv6ConfigReadOnly` class Structure that defines an existing IPv6 configuration on a particular interface.

This structure is read only.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::IPv6ConfigReadOnly | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressReadOnly> vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::GetAddresses | ( |  | ) | `[inline]`

A list of all addresses assigned to this interface.

The origin field of each address determines how the address was assigned, for example, statically, by DHCP, SLAAC.

bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::GetAutoconf | ( |  | ) | `[inline]`

Address is assigned by Stateless Address Autoconfiguration (SLAAC).

string vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::GetDefaultGateway | ( |  | ) | `[inline]`

Default gateway.

This configures the global IPv6 default gateway on the appliance with the specified gateway address and interface. This gateway replaces the existing default gateway configured on the appliance. However, if the gateway address is link-local, then it is added for that interface. This does not support configuration of multiple global default gateways through different interfaces.

bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::GetDhcp | ( |  | ) | `[inline]`

Address assigned by a DHCP server.

override int vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::GetInterfaceName | ( |  | ) | `[inline]`

Network interface, for example, "nic0" queried.

bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::GetUpdateable | ( |  | ) | `[inline]`

This indicates if the network configuration can be updated for the interface.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::SetAddresses | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressReadOnly > | addresses | ) | `[inline]`

A list of all addresses assigned to this interface.

The origin field of each address determines how the address was assigned, for example, statically, by DHCP, SLAAC.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::SetAutoconf | ( | bool | autoconf | ) | `[inline]`

Address is assigned by Stateless Address Autoconfiguration (SLAAC).

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::SetDefaultGateway | ( | string | defaultGateway | ) | `[inline]`

Default gateway.

This configures the global IPv6 default gateway on the appliance with the specified gateway address and interface. This gateway replaces the existing default gateway configured on the appliance. However, if the gateway address is link-local, then it is added for that interface. This does not support configuration of multiple global default gateways through different interfaces.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::SetDhcp | ( | bool | dhcp | ) | `[inline]`

Address assigned by a DHCP server.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::SetInterfaceName | ( | string | interfaceName | ) | `[inline]`

Network interface, for example, "nic0" queried.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::SetUpdateable | ( | bool | updateable | ) | `[inline]`

This indicates if the network configuration can be updated for the interface.

override string vmware::appliance::techpreview::networking::Ipv6Types::IPv6ConfigReadOnly::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- Ipv6Types.cs